Bug 80685 - Do not parallelize keymap vs font load for 8bit systems
Summary: Do not parallelize keymap vs font load for 8bit systems
Status: RESOLVED FIXED
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Zbigniew Jedrzejewski-Szmek
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 18:10 UTC by Samuel Thibault
Modified: 2014-07-07 12:56 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch to run setfont before loadkeys (3.23 KB, patch)
2014-07-02 02:27 UTC, Zbigniew Jedrzejewski-Szmek
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Thibault 2014-06-29 18:10:46 UTC
Hello,

Systemd currently starts loadkeys and setfont concurrently. There is
however a dependency. In the 8bit charset case, the font translation
has to be loaded first, before setting up the compose sequences (aka
diacriticals), otherwise the charset used for their loading will be
bogus.

Samuel
Comment 1 Zbigniew Jedrzejewski-Szmek 2014-07-02 02:27:30 UTC
Created attachment 102101 [details] [review]
patch to run setfont before loadkeys

Interesting. Do I understand correctly that it is enough to run setfont first, and loadkeys afterwards? Can you check if the attached patch works for you?
Comment 2 Samuel Thibault 2014-07-02 04:39:44 UTC
bugzilla-daemon@freedesktop.org, le Wed 02 Jul 2014 02:27:30 +0000, a écrit :
> Do I understand correctly that it is enough to run setfont first,
> and loadkeys afterwards?

Yes, that's it.

> Can you check if the attached patch works for you?

Well, I don't actually use systemd yet, I just report bugs I know will
hit when people migrate to systemd.  I can however say that the patch is
what is needed, yes.

Samuel
Comment 3 Zbigniew Jedrzejewski-Szmek 2014-07-06 23:19:12 UTC
OK, let's how this goes. Committed as http://cgit.freedesktop.org/systemd/systemd/commit/?id=abee28c56d.
Comment 4 Werner Fink 2014-07-07 11:57:57 UTC
IMHO the log_error() for keymap_load() and font_load() should be exchanged
Comment 5 Zbigniew Jedrzejewski-Szmek 2014-07-07 12:56:25 UTC
(In reply to comment #4)
> IMHO the log_error() for keymap_load() and font_load() should be exchanged

Thanks, fixed in 3dde3f8197.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.